Package org.apache.sling.feature.maven.mojos

# Class AbstractIncludingFeatureMojo.FeatureScanner

java.lang.Object
org.codehaus.plexus.util.AbstractScanner
org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo.FeatureScanner

All Implemented Interfaces:
  `org.codehaus.plexus.util.Scanner`

Enclosing class:
  `AbstractIncludingFeatureMojo`

public static class AbstractIncludingFeatureMojo.FeatureScanner extends org.codehaus.plexus.util.AbstractScanner

## Field Summary

### Fields inherited from class org.codehaus.plexus.util.AbstractScanner

`DEFAULTEXCLUDES, excludes, filenameComparator, includes, isCaseSensitive`

## Constructor Summary

Constructors
Constructor
Description
`FeatureScanner(Map<String,org.apache.sling.feature.Feature> features, String prefix)`

## Method Summary

Modifier and Type
Method
Description
`File`
`getBasedir()`
`Map<String,org.apache.sling.feature.Feature>`
`getIncluded()`
`String[]`
`getIncludedDirectories()`
`String[]`
`getIncludedFiles()`
`void`
`scan()`

### Methods inherited from class org.codehaus.plexus.util.AbstractScanner

`addDefaultExcludes, couldHoldIncluded, isExcluded, isExcluded, isExcluded, isIncluded, isIncluded, isIncluded, match, match, matchPath, matchPath, matchPatternStart, matchPatternStart, setCaseSensitive, setExcludes, setFilenameComparator, setIncludes, setupDefaultFilters, setupMatchPatterns`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FeatureScanner

public FeatureScanner(Map<String,org.apache.sling.feature.Feature> features, String prefix)

## Method Details

### scan

public void scan()

### getIncluded

public Map<String,org.apache.sling.feature.Feature> getIncluded()

### getIncludedFiles

public String[] getIncludedFiles()

### getIncludedDirectories

public String[] getIncludedDirectories()

### getBasedir

public File getBasedir()